---
title: 'Location: ancestorOrigins'
slug: Web/API/Location/ancestorOrigins
tags:
  - API
  - Location
  - Property
  - Reference
---
<p>{{APIRef("Location")}}</p>

<p><span class="seoSummary">The <strong><code>ancestorOrigins</code></strong> read-only property of the {{domxref("Location")}} interface is a static {{domxref("DOMStringList")}} containing, in reverse order, the origins of all ancestor browsing contexts of the document associated with the given {{domxref("Location")}} object.</span></p>

<p>You can use <code>location.ancestorOrigins</code> in the script for a document to determine, for example, whenever the document is being framed by a site which you don’t expect it to be framed by. You can also use it to vary the behavior of the document based on what site or list of sites is framing it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>ancestors</em> = location.ancestorOrigins;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-location-ancestororigins', 'ancestorOrigins ')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.ancestorOrigins")}}</p>
